<html>
    <head>
        <style type="text/css">            
            .border_atas {
                border-top: 1px solid black;
                border-collapse: collapse;
            }

            .border_kiri {
                border-left: 1px solid black;
                border-collapse: collapse;
            }

            .border_kanan {
                border-right: 1px solid black;
                border-collapse: collapse;
            }

            .border_bawah {
                border-bottom: 1px solid black;
                border-collapse: collapse;
            }

            .font_lima {
                font-size: 5pt;
            }

            .font_tujuh {
                font-size: 7pt;
            }  

            .font_delapan {
                font-size: 8pt;
            }    

            .font_sembilan {
                font-size: 9pt;
            }    

            .font_sepuluh {
                font-size: 10pt;
            }

            .font_duabelas {
                font-size: 12pt;
            }
        </style>
    </head>
    <body>
        <?php
        ini_set("max_execution_time", 500);
        if (!function_exists('kekata')) {

            function kekata($x) {
                $x = abs($x);
                $angka = array("", "Satu", "Dua", "Tiga", "Empat", "Lima",
                    "Enam", "Tujuh", "Delapan", "Sembilan", "Sepuluh", "Sebelas");
                $temp = "";
                if ($x < 12) {
                    $temp = " " . $angka[$x];
                } else if ($x < 20) {
                    $temp = kekata($x - 10) . " Belas";
                } else if ($x < 100) {
                    $temp = kekata($x / 10) . " Puluh" . kekata($x % 10);
                } else if ($x < 200) {
                    $temp = " Seratus" . kekata($x - 100);
                } else if ($x < 1000) {
                    $temp = kekata($x / 100) . " Ratus" . kekata($x % 100);
                } else if ($x < 2000) {
                    $temp = " Seribu" . kekata($x - 1000);
                } else if ($x < 1000000) {
                    $temp = kekata($x / 1000) . " Ribu" . kekata($x % 1000);
                } else if ($x < 1000000000) {
                    $temp = kekata($x / 1000000) . " Juta" . kekata($x % 1000000);
                } else if ($x < 1000000000000) {
                    $temp = kekata($x / 1000000000) . " Milyar" . kekata(fmod($x, 1000000000));
                } else if ($x < 1000000000000000) {
                    $temp = kekata($x / 1000000000000) . " Trilyun" . kekata(fmod($x, 1000000000000));
                }
                return $temp;
            }

        }

        function terbilang($x, $style = 4) {
            if ($x < 0) {
                $hasil = "MINUS " . trim(kekata($x));
            } else {
                $hasil = trim(kekata($x));
            }
            switch ($style) {
                case 1:
                    $hasil = strtoupper($hasil);
                    break;
                case 2:
                    $hasil = strtolower($hasil);
                    break;
                case 3:
                    $hasil = ucwords($hasil);
                    break;
                default:
                    $hasil = ucfirst($hasil);
                    break;
            }
            return $hasil;
        }

        $abulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
        $t_tglpendataan = date('d', strtotime($data['t_tglpendataan'])) . " " . $abulan[date('m', strtotime($data['t_tglpendataan']))] . " " . date('Y', strtotime($data['t_tglpendataan']));
        ?>
        <table class="border_atas border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
            <tr>
                <td style="width: 10%">
                    <img src="<?= $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/" . $ar_pemda->s_logo; ?>" style="width:40px;"  />
                </td>
                <td style="width: 30%">
                    PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota) ?>
                    <br>
                    <?= $ar_pemda->s_namainstansi ?>
                    <br>
                    <?= $ar_pemda->s_alamatinstansi ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?>
                </td>
                <td class="border_kiri" style="width: 40%; padding-left: 10px;">
                    <b style="font-size: 15px;">NPPD</b> <br>
                    (NOTA PERHITUNGAN PAJAK DAERAH)
                    <br>
                    Masa Pajak &nbsp;&nbsp;&nbsp;&nbsp;: <?= date('d-m-Y', strtotime($data['t_masaawal'])); ?> S/D <?= date('d-m-Y', strtotime($data['t_masaakhir'])); ?>
                    <br>
                    Tahun Pajak &nbsp;&nbsp;&nbsp;: <?= $data['t_periodepajak']; ?>
                </td>
                <td class="border_kiri" style="width: 20%;">
                    No. SPTPD : <?= $data['t_nourut'] ?>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
            <tr>
                <td style="padding:0; border-spacing:0px; padding-top: 10px; padding-left: 10px">
                    NPWPD
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px; padding-top: 10px">
                    : <?= $data['t_npwpd'] ?>
                </td>
            </tr>
            <tr>
                <td style="width: 20%; padding:0; border-spacing:0px; padding-left: 10px">
                    Nama
                </td>
                <td style="padding:0;border-spacing:0px;">
                    : <?= $data['t_nama'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px">
                    Alamat
                </td>
                <td style="padding:0;border-spacing:0px;">
                    : <?= $data['t_alamat_lengkap'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px">
                    NIOP
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_nop'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px">
                    Nama Objek
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_namaobjek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px">
                    Alamat Objek
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_alamatlengkapobjek'] ?>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
            <tr>
                <td class="border_kanan border_bawah" style="padding:10px; border-spacing:0px;" rowspan="2">
                    No.
                </td>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;" rowspan="2">
                    Jenis Pajak
                </td>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;" rowspan="2">
                    Kode Rekening
                </td>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;" rowspan="2">
                    Uraian
                </td>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;" rowspan="2">
                    Tarif
                </td>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;" rowspan="2">
                    Jumlah Pajak Terhutang (Rp.)
                </td>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;" rowspan="2">
                    Setoran yang diperhitungkan (Rp.)
                </td>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;" rowspan="2">
                    Kurang/Lebih (Rp.)
                </td>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;" colspan="3">
                    Sanksi Administrasi
                </td>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;" rowspan="2">
                    Jumlah (Rp.)
                </td>
            </tr>
            <tr>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;">
                    Kenaikan
                </td>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;">
                    Denda
                </td>
                <td class="border_kanan border_bawah" style="padding:10px;border-spacing:0px;">
                    Bunga
                </td>
            </tr>
            <?php
            $i = 1;
            $total_piutang = 0;
            foreach ($datanppd as $data) {
                ?>
                <tr>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        <?= $i++ ?>
                    </td>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        <?= $data['s_namajenis'] ?>
                    </td>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        <?= $data['korek'] ?>
                    </td>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        <?= $data['s_namakorek'] ?>
                    </td>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        <?= $data['t_tarifpajak'] ?>
                    </td>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        <?= number_format($data['t_jmlhpajak'], 0, ',', '.') ?>
                    </td>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        <?= number_format($data['t_jmlhpembayaran'] + $data['t_jmlhbayardenda'], 0, ',', '.') ?>
                    </td>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        <?= number_format($data['t_jmlhpajak'] - $data['t_jmlhpembayaran'], 0, ',', '.') ?>
                    </td>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        0
                    </td>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        0
                    </td>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        <?= number_format($data['t_jmlhdendapembayaran'], 0, ',', '.') ?>
                    </td>
                    <td class="border_kanan" style="padding:10px;border-spacing:0px;">
                        <?php $piutang = ($data['t_jmlhpajak'] + $data['t_jmlhdendapembayaran']) - ($data['t_jmlhpembayaran'] + $data['t_jmlhbayardenda']); ?>
                        <?= number_format($piutang, 0, ',', '.') ?>
                    </td>
                </tr>
                <?php
                $total_piutang += $piutang;
            }
            ?>
            <tr>
                <td class="border_kanan border_atas" style="padding:10px;border-spacing:0px; text-align: right" colspan="11">
                    Jumlah
                </td>
                <td class="border_kanan border_atas" style="padding:10px;border-spacing:0px;">
                    <?= number_format($total_piutang, 0, ',', '.') ?>
                </td>
            </tr>
        </table>
    </body>
</html>